# Source code for azure.mgmt.cognitiveservices.models.cognitive_services_account_update_parameters

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class CognitiveServicesAccountUpdateParameters(Model):
        """The parameters to provide for the account.

        :param sku:
        :type sku: :class:`Sku <azure.mgmt.cognitiveservices.models.Sku>`
        :param tags: Gets or sets a list of key value pairs that describe the
         resource. These tags can be used in viewing and grouping this resource
         (across resource groups). A maximum of 15 tags can be provided for a
         resource. Each tag must have a key no greater than 128 characters and
         value no greater than 256 characters.
        :type tags: dict
        """

        _attribute_map = {
            'sku': {'key': 'sku', 'type': 'Sku'},
            'tags': {'key': 'tags', 'type': '{str}'},
        }

        def __init__(self, sku=None, tags=None):
            self.sku = sku
            self.tags = tags